package com.bbd.bpm.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by houkang on 2019/1/3.
 */
@Entity
@Table(name = "demo_table")
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class DemoTableEntity  extends  BaseDomain{


    @Column(name="demo_name",length = 20)
    private String demoName;

    @Column(name="demo_code",length = 20)
    private String demoCode;

    @Column(name="cre_date")
    @Temporal(TemporalType.TIMESTAMP)
    private Date creDate;

    @Column(name="cre_user",length = 20)
    private String creUser;




    public String getDemoName() {
        return demoName;
    }

    public void setDemoName(String demoName) {
        this.demoName = demoName;
    }

    public String getDemoCode() {
        return demoCode;
    }

    public void setDemoCode(String demoCode) {
        this.demoCode = demoCode;
    }

    public Date getCreDate() {
        return creDate;
    }

    public void setCreDate(Date creDate) {
        this.creDate = creDate;
    }

    public String getCreUser() {
        return creUser;
    }

    public void setCreUser(String creUser) {
        this.creUser = creUser;
    }
}
